Subject: Re: Revell Minikits re-submission
From: "Steve Bamford" <[email-masked]>
To: "Justin Davenport" <[email-masked]>
Date: Sat, 1 Feb 2003 16:42:04 -0800

----- Original Message ----- 
  From: Justin Davenport 
  To: [email-masked] 
  Sent: Wednesday, January 15, 2003 12:02 AM
  Subject: Revell Minikits re-submission

  Hi Steve

  I'm submitting my Revell Minikits that I've built, with the addition of a Minikit diorama from a Gulf War set (an Iraqi Mig-29, a USAF Stealth, and a British Tornado)...that diorama's pretty timely, don't you think?  I built this diorama because I got an inspiration from current events, and it was fun to do.  

  I hope everyone at ARC enjoys this, regards Justin